Subject: Re: 2.6.19-rc1 regression: airo suspend fails

From: Pavel Machek <[email-masked]>
Date: Sun, 8 Oct 2006 08:43:03 +0200

Hi!

> > > it breaks suspend when the airo module is loaded:
> > > 
> > > kernel: Stopping tasks: =================================================================================
> > > kernel:  stopping tasks timed out after 20 seconds (1 tasks remaining):
> > > kernel:   eth1
> > > kernel: Restarting tasks...<6> Strange, eth1 not stopped
> > > 
> > > if i remove the airo module suspend works normally (this is on a
> > > thinkpad t40).
> > 
> > Thanks for your report.
> > 
> > Let's try to figure out what broke it.
> 
> I believe it was broken by:
> http://www.kernel.org/git/gitweb.cgi?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=3b4c7d640376dbccfe80fc4f7b8772ecc7de28c5
> 
> I have seen this in the -mm tree, but didn't follow up at the time.  I
> was able to fix it with the following patch.  I don't know if it's the
> best fix, but it seems to follow the same logic as the original code.
> 
> 
> The airo driver used to break out of while loop if there were any signals
> pending.  Since it no longer checks for signals, it at least needs to check
> if it needs to be frozen.
> 
> Signed-off-by: Dave Kleikamp <[email-masked]>

ACK. Please push it to akpm or airo maintainers...

								Pavel

-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html